org.apache.xmlgraphics.image.loader.impl

## Class ImageLoaderPNG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
  - - org.apache.xmlgraphics.image.loader.impl.ImageLoaderPNG

- All Implemented Interfaces:
    ImageLoader

      public class ImageLoaderPNG
      extends AbstractImageLoader

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader

      `MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderPNG()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageFlavor` | `getTargetFlavor()` Returns the image flavor that is returned by this ImageLoader implementation.
    `int` | `getUsagePenalty()` Returns the penalty assigned to using this image loader.
    `Image` | `loadImage(ImageInfo info, java.util.Map<java.lang.String,java.lang.Object> hints, ImageSessionContext session)` Loads and returns an image.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

      `ignoreColorProfile, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderPNG

          public ImageLoaderPNG()

  - ### Method Detail

    - #### loadImage

          public Image loadImage(ImageInfo info,
                                 java.util.Map<java.lang.String,java.lang.Object> hints,
                                 ImageSessionContext session)
                          throws java.io.IOException

      Loads and returns an image.
      Parameters:
        `info` - the image info object indicating the image
        `hints` - a Map of hints that can be used by implementations to customize the loading process (may be null).
        `session` - the session context
      Returns:
        the fully loaded image
      Throws:
        `java.io.IOException` - if an I/O error occurs while loading the image

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the image flavor that is returned by this ImageLoader implementation.
      Returns:
        the target image flavor

    - #### getUsagePenalty

          public int getUsagePenalty()

      Returns the penalty assigned to using this image loader. The value is used to select the best processing chain for images.
      Specified by:
        `getUsagePenalty` in interface `ImageLoader`
      Overrides:
        `getUsagePenalty` in class `AbstractImageLoader`
      Returns:
        the usage penalty (must be a non-negative integer)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.